Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security
Class Key

    java.lang.Object
      |
      +--weblogic.security.Key

Deprecated. Deprecated in WebLogic Server 7.0.

public class Key
extends java.lang.Object

A generic key class. keyBytes contains the key, expirationDate indicates when the key expires, entity indicates the Entity associated with the key.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected Entity` | `entity` Deprecated. The entity associated with the key.
`protected java.util.Date` | `expirationDate` Deprecated. The date the key is no longer valid.
`protected byte[]` | `keyBytes` Deprecated. The actual bytes of the key.

Constructor Summary
`Key()` Deprecated.
`Key(byte[] key)` Deprecated.
`Key(byte[] key, Entity e, java.util.Date date)` Deprecated.
`Key(Entity e, java.util.Date date)` Deprecated.

Method Summary
`byte[]` | `getBytes()` Deprecated.
`Entity` | `getEntity()` Deprecated.
`java.util.Date` | `getExpirationDate()` Deprecated.
`void` | `initialize(java.io.InputStream is)` Deprecated. Initialize the key from the input stream.
`int` | `keySize()` Deprecated. The length of the key in bytes.
`void` | `save(java.io.OutputStream os)` Deprecated. Save the bytes needed for initialization.
`void` | `setBytes(byte[] key)` Deprecated.
`void` | `setEntity(Entity e)` Deprecated.
`void` | `setExpirationDate(java.util.Date date)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expirationDate

    protected java.util.Date expirationDate

  Deprecated.
  The date the key is no longer valid.

### entity

    protected Entity entity

  Deprecated.
  The entity associated with the key.

### keyBytes

    protected byte[] keyBytes

  Deprecated.
  The actual bytes of the key.

Constructor Detail

### Key

    public Key(byte[] key,
               Entity e,
               java.util.Date date)

  Deprecated.

### Key

    public Key(Entity e,
               java.util.Date date)

  Deprecated.

### Key

    public Key(byte[] key)

  Deprecated.

### Key

    public Key()

  Deprecated.

Method Detail

### keySize

    public int keySize()

  Deprecated.
  The length of the key in bytes.

### setEntity

    public void setEntity(Entity e)

  Deprecated.

### getEntity

    public Entity getEntity()

  Deprecated.

### setBytes

    public void setBytes(byte[] key)

  Deprecated.

### getBytes

    public byte[] getBytes()

  Deprecated.

### setExpirationDate

    public void setExpirationDate(java.util.Date date)

  Deprecated.

### getExpirationDate

    public java.util.Date getExpirationDate()

  Deprecated.

### initialize

    public void initialize(java.io.InputStream is)
                    throws KeyManagementException

  Deprecated.
  Initialize the key from the input stream.

### save

    public void save(java.io.OutputStream os)
              throws KeyManagementException

  Deprecated.
  Save the bytes needed for initialization.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD